﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.MonthViewSingle;
using System.Drawing;
using Infragistics.Win.UltraWinSchedule;

namespace WS_SeletedTimeSlot
{
    class CustomMonthViewSingleDrawFilter : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            AppearanceData appData = new AppearanceData();
            appData.BackColor = Color.Red;
            drawParams.DrawBackColor(ref appData, drawParams.Element.Rect, drawParams.Element.Rect, true);
            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is DayUIElement)
            {
                var dayElement = drawParams.Element as DayUIElement;
                if (((UltraMonthViewSingle)drawParams.Element.Control).CalendarInfo.ActiveDay == dayElement.Day)
                {
                    return DrawPhase.None;
                }
                return DrawPhase.BeforeDrawBackColor;
            }
            else
            {
                return DrawPhase.None;
            }
        }
    }
}
